## org.w3c.tools.widgets
Class MessagePopup

    java.lang.Object
      |
      +--org.w3c.tools.widgets.MessagePopup

public class MessagePopup
extends java.lang.Object
implements java.awt.event.ActionListener

A very simple popup displaying a message.

Constructor Summary
`MessagePopup(java.lang.String message)` build a Message popup.
`MessagePopup(java.lang.String title, java.lang.String message)` build a Message popup.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`void` | `show()` show the popup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagePopup

    public MessagePopup(java.lang.String message)

  build a Message popup.
  Parameters:
    `message,` - The message to display

### MessagePopup

    public MessagePopup(java.lang.String title,
                        java.lang.String message)

  build a Message popup.
  Parameters:
    `title,` - the title.
    `message,` - The message to display

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### show

    public void show()

  show the popup.